local fn = vim.fn
local install_path = fn.stdpath('data')..'/site/pack/packer/start/packer.nvim'
if fn.empty(fn.glob(install_path)) > 0 then
	packer_bootstrap = fn.system({'git', 'clone', '--depth', '1', 'https://github.com/wbthomason/packer.nvim', install_path})
end

vim.cmd [[packadd packer.nvim]]

return require('packer').startup(function(use)
	use 'wbthomason/packer.nvim'
	use 'nvim-lua/plenary.nvim'
	use 'neovim/nvim-lspconfig'
	use 'hrsh7th/cmp-nvim-lsp'
	use 'hrsh7th/cmp-buffer'
	use 'hrsh7th/cmp-path'
	use 'hrsh7th/nvim-cmp'
  use {
    'nvim-lualine/lualine.nvim',
    config = function()
      require 'plugins.lualine'
    end
  }

	-- движок сниппетов
  use {
    'L3MON4D3/LuaSnip',
    after = 'friendly-snippets',
    config = function()
      require('luasnip/loaders/from_vscode').load({
       paths = { '~/.local/share/nvim/site/pack/packer/start/friendly-snippets' }
      })
    end
  }

  -- автодополнения для сниппетов
  use 'saadparwaiz1/cmp_luasnip'

  -- набор готовых сниппетов для всех языков, включая go
  use 'rafamadriz/friendly-snippets'

  -- плагин для простого комментирования кода
  use {
    'numToStr/Comment.nvim',
    config = function()
      require('Comment').setup()
    end
  }
	use {
		'nvim-treesitter/nvim-treesitter',
		run = ':TSUpdate',
		config = function()
			require 'plugins.treesitter'
		end
	}
	use {
		'nvim-telescope/telescope.nvim',
		config = function()
			require 'plugins.telescope'
		end
	}
	use {
		'olexsmir/gopher.nvim',
		config = function()
			-- require 'plugins.gopher'
		end
	}
	use {
		'nvim-tree/nvim-tree.lua',
		config = function()
			require 'plugins.tree'
		end
	}
	use 'nvim-tree/nvim-web-devicons'
	if packer_bootstrap then
		require('packer').sync()
	end
end)
